Subject: Re: [PATCH v4] git-send-email: use ! to indicate relative path to command

From: Gregory Anders <[email-masked]>
Date: Tue, 11 May 2021 16:18:26 -0600

On Tue, 11 May 2021 17:39 -0400, Jeff King wrote:
>It also seems to fail for me. I think $patches isn't valid at this 
>point in the script, as the patch files have been removed. Switching to 
>just HEAD~2 doesn't seem to work either, as earlier tests set up a hook 
>which rejects it. I think we could pass HEAD^ to send just one path, 
>but I thought it would be nice to confirm that sending multiple works 
>(i.e., avoiding the bug we discussed earlier).

I had to play around with this too (being unfamiliar with how this test 
harness worked). It would pass if I ran the first ~20 tests (20 is not 
significant, it's just a number I chose to ensure that whatever 
necessary setup needed to happen was done), but would fail otherwise. 
Moving the test up seems fine, I put it at the bottom simply because I 
wasn't sure where else to put it.